---
# tasks file for install-packages
- block: # red hat based distros
  - yum: 
      name: ['iptables-services', 'iperf3', 'git', 'zsh', 'vim', 'wget', 'epel-release', 'bmon', 'curl', 'tcpdump', 'nmap', 'mc', 'nano', 'iptraf-ng']
      state: latest 
      update_cache: True
  when: ansible_os_family == "RedHat"

- block: # debian based distros
  - apt: 
      name: ['iperf3', 'git', 'zsh', 'vim', 'wget', 'bmon', 'curl', 'tcpdump', 'nmap', 'nano', 'mc', 'iptraf-ng']
      state: latest
      update_cache: True
  when: ansible_os_family == "Debian"

- block: # alpine
  - apk: 
      name: ['git', 'zsh', 'zsh-vcs', 'vim', 'wget', 'curl', 'tcpdump', 'nmap', 'bmon', 'shadow', 'nano', 'mc', 'iptraf-ng']
      state: latest
      update_cache: True
  when: ansible_os_family == "Alpine"